// pages/register/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    account:'',
    password:'',
    name:'',
    number:'',
  },
  formName:function(e){
    this.setData({
      name:e.detail.value
    })
  },
  formAccount:function(e){
    this.setData({
      account:e.detail.value
    })
  },
  formPassword:function(e){
    this.setData({
      password:e.detail.value
    })
  },
  formNumber:function(e){
    this.setData({
      number:e.detail.value
    })
  },
  registerGetBtn:function(){
    if(this.data.account=="" || this.data.account.length !=6){
      wx.showToast({
        title: '请输入不少于6位字符的账号',
        icon: 'none',
        duration: 2000
      })
      return false;
    }
    if(this.data.password==""  || this.data.password.length !=6){
      wx.showToast({
        title: '请输入不少于6位字符的密码',
        icon: 'none',
        duration: 2000
      })
      return false;
    }
    if(this.data.number=="" || this.data.number.length !=11){
      wx.showToast({
        title: '请输入11位数字的手机号',
        icon: 'none',
        duration: 2000
      })
      return false;
    }
    if(this.data.name=="" || this.data.name.length<2){
      wx.showToast({
        title: '请输入正确的名字',
        icon: 'none',
        duration: 2000
      })
      return false;
    }
    console.log(this.data.account);
    console.log(this.data.password);
    console.log(this.data.name);
    console.log(this.data.number);
    wx.showToast({
      title: '信息提交成功72小时内会有人工主动联系认证信息,认证通过开通相应账号的权限!',
      icon: 'none',
      duration: 5000
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})